{% extends 'news/base.html' %}

{% block title %}Novosti{% endblock %}
{% block content %}

<section>
    <h1>poslednie novosti</h1>
    <p><a href="{% url 'popular' %}">Отфилтровать по популярным</a></p>
    <form action="{% url 'popular' %}">
      {% csrf_token %}
      <select name="popular" id="">
        <option value="views">Популярные</option>
        <option value="-date">По новизне</option>
      </select>
      <button class="btn btn-outline-danger">Фильтровать</button>
    </form>
        <div class="row">
            {% for post in posts %}
            <div class="col-md-4">
                <div class="card" style="width: 18rem;">
                  <a href="{{post.get_absolute_url}}">
                    {% if post.image.url != null %}
                    <img src="{{post.image.url}}" class="card-img-top" alt="...">
                    {% endif %}
                  </a>  
                    <div class="card-body">
                      <h5 class="card-title">{{post.title}}</h5>
                      <a href="{{post.category.get_absolute_url}}">
                        <p class="card-title">{{post.category.title}}</p>
                      </a> 
                      <p class="card-text">{{post.summary}}</p>
                      <a href="#" class="btn btn-primary">Читать далее</a>
                    </div>
                  </div>
            </div>
            {% endfor %}
        </div>   
</section>
{% endblock %}